Skip to content
V2 (Legacy) API ReferenceGet started

Update a chat

PUT/v3/chats/{chatId}

Update chat properties such as display name and group chat icon.

Listen for chat.group_name_updated, chat.group_icon_updated, chat.group_name_update_failed, or chat.group_icon_update_failed webhook events to confirm the outcome.

Path ParametersExpand Collapse
chatId: string
formatuuid
Body ParametersJSONExpand Collapse
display_name: optional string

New display name for the chat (group chats only)

group_chat_icon: optional string

URL of an image to set as the group chat icon (group chats only)

formaturi
ReturnsExpand Collapse
chat_id: optional string
formatuuid
status: optional string

Update a chat

curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY" \
    -d '{
          "display_name": "Team Discussion",
          "group_chat_icon": "https://example.com/icon.png"
        }'
{
  "chat_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "pending"
}
{
  "error": {
    "status": 400,
    "code": 1002,
    "message": "Phone number must be in E.164 format"
  },
  "success": false
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}
Returns Examples
{
  "chat_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "pending"
}
{
  "error": {
    "status": 400,
    "code": 1002,
    "message": "Phone number must be in E.164 format"
  },
  "success": false
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}